Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_NS_PropertySeq Class Reference

@brief. More...

`#include <PropertySeq.h>`

Inheritance diagram for TAO_NS_PropertySeq:

[legend]
Collaboration diagram for TAO_NS_PropertySeq:

[legend]
List of all members.

## Public Methods
| TAO_NS_PropertySeq (void)
| Constuctor. More...
| ~TAO_NS_PropertySeq ()
| Destructor. More...
int | init (const CosNotification::PropertySeq &prop_seq)
| Return 0 on success, -1 on error. More...
int | find (const ACE_CString &name, CosNotification::PropertyValue &value) const
| Find the <value> for property <name>. Returns 0 on success. More...
int | populate (CosNotification::PropertySeq_var &prop_seq)
| Return -1 on error. More...
## Protected Types
typedef ACE_Hash_Map_Manager< ACE_CString, CosNotification::PropertyValue, ACE_SYNCH_NULL_MUTEX > | PROPERTY_MAP
| Property Map. More...
## Protected Attributes
PROPERTY_MAP | property_map_

## Detailed Description

@brief.

## Member Typedef Documentation

typedef ACE_Hash_Map_Manager<ACE_CString, CosNotification::PropertyValue, ACE_SYNCH_NULL_MUTEX> TAO_NS_PropertySeq::PROPERTY_MAP`[protected]`

| Property Map.

## Constructor & Destructor Documentation

TAO_NS_PropertySeq::TAO_NS_PropertySeq | ( | void |  | ) |

| Constuctor.

TAO_NS_PropertySeq::~TAO_NS_PropertySeq | ( |  | ) |

| Destructor.

## Member Function Documentation

int TAO_NS_PropertySeq::find | ( | const ACE_CString & | name,
|  | CosNotification::PropertyValue & | value
| ) | const

| Find the <value> for property <name>. Returns 0 on success.

int TAO_NS_PropertySeq::init | ( | const CosNotification::PropertySeq & | prop_seq | ) |

| Return 0 on success, -1 on error. Reimplemented in TAO_NS_AdminProperties.

int TAO_NS_PropertySeq::populate | ( | CosNotification::PropertySeq_var & | prop_seq | ) |

| Return -1 on error.

## Member Data Documentation

PROPERTY_MAP TAO_NS_PropertySeq::property_map_`[protected]`

The documentation for this class was generated from the following files:

- PropertySeq.h
- PropertySeq.cpp